%global momorel 2
%global device_mapper_version 1.02.19-1
%global md5sum_src0 42dce454618770aa1754c793cbb1cbbb

Summary: Userland logical volume management tools 
Name: lvm2
Version: 2.02.25
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/lvm2/
%NoSource 0 ftp://sources.redhat.com/pub/lvm2/LVM2.%{version}.tgz %{md5sum_src0}
Patch0: cluster-locking-built-in.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: device-mapper-devel >= %{device_mapper_version}
BuildRequires: libselinux-devel >= 2.0.0, libsepol-devel
BuildRequires: ncurses-devel
BuildRequires: ncurses-static
BuildRequires: readline-devel
BuildRequires: cman-devel
Requires: device-mapper >= %{device_mapper_version}
Conflicts: lvm < 1.0.8

%description
LVM2 includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.

%package cluster
Summary: Cluster extensions for userland logical volume management tools
Group: System Environment/Base
Requires: lvm2 >= %{version}-%{release}
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): device-mapper >= %{device_mapper_version}
Requires(preun): lvm2 >= 2.02

%description cluster
Extensions to LVM2 to support clusters.

%prep
%setup -q -n LVM2.%{version}
%patch0 -p1 -b .locking


%build
%configure --enable-static_link \
           --enable-readline \
           --enable-lvm1_fallback \
           --with-clvmd=cman \
           --with-cluster=internal \
           --with-pool=internal \
           --with-staticdir=/sbin \
           --with-user= \
           --with-group=

make DESTDIR=%{buildroot}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Temporary links until initscripts get updated to use lvm.static
make install_cluster DESTDIR=%{buildroot}
ln -s lvm.static %{buildroot}/sbin/lvm
ln -s lvm.static %{buildroot}/sbin/pvscan
ln -s lvm.static %{buildroot}/sbin/vgchange
ln -s lvm.static %{buildroot}/sbin/vgscan
install -m 0700 -d %{buildroot}/etc/lvm/archive
install -m 0700 -d %{buildroot}/etc/lvm/backup
install -m 0700 -d %{buildroot}/var/lock/lvm
install -m 0600 /dev/null %{buildroot}/etc/lvm/.cache
mkdir -p -m755 %{buildroot}%{_initscriptdir}
install scripts/clvmd_init_rhel4 %{buildroot}%{_initscriptdir}/clvmd
install -m 0755 scripts/lvmconf.sh %{buildroot}/usr/sbin/lvmconf

%post cluster
/sbin/chkconfig --add clvmd

/usr/sbin/lvmconf --lockinglibdir %{_libdir}

%preun cluster
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del clvmd
        /usr/sbin/lvmconf --disable-cluster
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL README VERSION WHATS_NEW
/sbin/lvm.static
/sbin/lvm
/sbin/pvscan
/sbin/vgscan
/sbin/vgchange
%{_sbindir}/lvchange
%{_sbindir}/lvconvert
%{_sbindir}/lvcreate
%{_sbindir}/lvdisplay
%{_sbindir}/lvextend
%{_sbindir}/lvm
%{_sbindir}/lvmchange
%{_sbindir}/lvmdiskscan
%{_sbindir}/lvmdump
%{_sbindir}/lvmsadc
%{_sbindir}/lvmsar
%{_sbindir}/lvreduce
%{_sbindir}/lvremove
%{_sbindir}/lvrename
%{_sbindir}/lvresize
%{_sbindir}/lvs
%{_sbindir}/lvscan
%{_sbindir}/pvchange
%{_sbindir}/pvck
%{_sbindir}/pvcreate
%{_sbindir}/pvdisplay
%{_sbindir}/pvmove
%{_sbindir}/pvremove
%{_sbindir}/pvresize
%{_sbindir}/pvs
%{_sbindir}/pvscan
%{_sbindir}/vgcfgbackup
%{_sbindir}/vgcfgrestore
%{_sbindir}/vgchange
%{_sbindir}/vgck
%{_sbindir}/vgconvert
%{_sbindir}/vgcreate
%{_sbindir}/vgdisplay
%{_sbindir}/vgexport
%{_sbindir}/vgextend
%{_sbindir}/vgimport
%{_sbindir}/vgmerge
%{_sbindir}/vgmknodes
%{_sbindir}/vgreduce
%{_sbindir}/vgremove
%{_sbindir}/vgrename
%{_sbindir}/vgs
%{_sbindir}/vgscan
%{_sbindir}/vgsplit
%{_mandir}/man5/lvm.conf.5.bz2
%{_mandir}/man8/lvchange.8.bz2
%{_mandir}/man8/lvconvert.8.bz2
%{_mandir}/man8/lvcreate.8.bz2
%{_mandir}/man8/lvdisplay.8.bz2
%{_mandir}/man8/lvextend.8.bz2
%{_mandir}/man8/lvm.8.bz2
%{_mandir}/man8/lvmchange.8.bz2
%{_mandir}/man8/lvmdiskscan.8.bz2
%{_mandir}/man8/lvmdump.8.bz2
%{_mandir}/man8/lvreduce.8.bz2
%{_mandir}/man8/lvremove.8.bz2
%{_mandir}/man8/lvrename.8.bz2
%{_mandir}/man8/lvresize.8.bz2
%{_mandir}/man8/lvs.8.bz2
%{_mandir}/man8/lvscan.8.bz2
%{_mandir}/man8/pvchange.8.bz2
%{_mandir}/man8/pvck.8.bz2
%{_mandir}/man8/pvcreate.8.bz2
%{_mandir}/man8/pvdisplay.8.bz2
%{_mandir}/man8/pvmove.8.bz2
%{_mandir}/man8/pvremove.8.bz2
%{_mandir}/man8/pvresize.8.bz2
%{_mandir}/man8/pvs.8.bz2
%{_mandir}/man8/pvscan.8.bz2
%{_mandir}/man8/vgcfgbackup.8.bz2
%{_mandir}/man8/vgcfgrestore.8.bz2
%{_mandir}/man8/vgchange.8.bz2
%{_mandir}/man8/vgck.8.bz2
%{_mandir}/man8/vgconvert.8.bz2
%{_mandir}/man8/vgcreate.8.bz2
%{_mandir}/man8/vgdisplay.8.bz2
%{_mandir}/man8/vgexport.8.bz2
%{_mandir}/man8/vgextend.8.bz2
%{_mandir}/man8/vgimport.8.bz2
%{_mandir}/man8/vgmerge.8.bz2
%{_mandir}/man8/vgmknodes.8.bz2
%{_mandir}/man8/vgreduce.8.bz2
%{_mandir}/man8/vgremove.8.bz2
%{_mandir}/man8/vgrename.8.bz2
%{_mandir}/man8/vgs.8.bz2
%{_mandir}/man8/vgscan.8.bz2
%{_mandir}/man8/vgsplit.8.bz2
%dir /etc/lvm
%ghost /etc/lvm/.cache
%config(noreplace) /etc/lvm/lvm.conf
/etc/lvm/backup
/etc/lvm/archive
/var/lock/lvm

%files cluster
%defattr(-,root,root,-)
%attr(755,root,root) %{_sbindir}/clvmd
%{_sbindir}/lvmconf
%{_mandir}/man8/clvmd.8.bz2
%{_initscriptdir}/clvmd

%changelog
* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.02.25-2m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.02.25-1m)
- update to 2.02.25
- this version requires device-mapper-1.02.19-1m or later

* Thu May 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.02.22-2m)
- change Source URL

* Mon Feb 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.02.22-1m)
- sync fc-devel

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.02.05-2m)
- rebuild against readline-5.0

* Tue May 23 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.2.02.05-1m)
- up to 2.2.02.05

* Tue Dec 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.2.02.01-1m)
- up to 2.2.02.01

* Fri Oct 29 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.00.25)
  update to 2.2.00.25

* Sun Sep  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.22-1m)
- version up

* Mon Aug 23 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.00.21-1m)
- import from Fedora Core 2

* Thu May 06 2004 Warren Togami <wtogami@redhat.com> - 2.00.15-2
- i2o patch from Markus Lidel

* Tue Apr 20 2004 Bill Nottingham <notting@redhat.com> - 2.00.15-1.1
- handle disabled SELinux correctly, so that LVMs can be detected in a
  non-SELinux context
  
* Mon Apr 19 2004 Alasdair Kergon <agk@redhat.com> - 2.00.15-1
- Fix non-root build with current version of 'install'.

* Fri Apr 16 2004 Alasdair Kergon <agk@redhat.com> - 2.00.14-1
- Use 64-bit file offsets.

* Fri Apr 16 2004 Alasdair Kergon <agk@redhat.com> - 2.00.13-1
- Avoid scanning devices containing md superblocks.
- Integrate ENOTSUP patch.

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 2.00.12-4
- don't die if we get ENOTSUP setting selinux contexts

* Thu Apr 15 2004 Alasdair Kergon <agk@redhat.com> 2.00.12-3
- Add temporary pvscan symlink for LVM1 until mkinitrd gets updated.

* Wed Apr 14 2004 Alasdair Kergon <agk@redhat.com> 2.00.12-2
- Mark config file noreplace.

* Wed Apr 14 2004 Alasdair Kergon <agk@redhat.com> 2.00.12-1
- Install default /etc/lvm/lvm.conf.
- Move non-static binaries to /usr/sbin.
- Add temporary links in /sbin to lvm.static until rc.sysinit gets updated.

* Thu Apr 08 2004 Alasdair Kergon <agk@redhat.com> 2.00.11-1
- Fallback to using LVM1 tools when using a 2.4 kernel without device-mapper.

* Wed Apr 07 2004 Alasdair Kergon <agk@redhat.com> 2.00.10-2
- Install the full toolset, not just 'lvm'.

* Wed Apr 07 2004 Alasdair Kergon <agk@redhat.com> 2.00.10-1
- Update to version 2.00.10, which incorporates the RH-specific patches
  and includes various fixes and enhancements detailed in WHATS_NEW.

* Wed Mar 17 2004 Jeremy Katz <katzj@redhat.com> 2.00.08-5
- Fix sysfs patch to find sysfs
- Take patch from dwalsh and tweak a little for setting SELinux contexts on
  device node creation and also do it on the symlink creation.  
  Part of this should probably be pushed down to device-mapper instead

* Thu Feb 19 2004 Stephen C. Tweedie <sct@redhat.com> 2.00.08-4
- Add sysfs filter patch
- Allow non-root users to build RPM

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jeremy Katz <katzj@redhat.com> 2.00.08-2
- add static lvm binary

* Tue Dec  2 2003 Jeremy Katz <katzj@redhat.com> 
- Initial build.


